Subject: Re: [patch 1/6] 8139too: force media setting cleanup

From: Jeff Garzik <[email-masked]>
Date: Wed, 13 Jun 2007 13:09:29 -0400

Kyuma Ohta wrote:
> Hi,
> I was testing 2.6.22-rc4 from yesterday,
> but communication speed  of 8139 side is very slower 
> than 2.6.21.* (less than 10kbytes/sec at  
> 100MBPS,FULL-DUPLEX).
> I was not test from 2.6.22-rc ,yesterday I started to test 2.6.22-rc.
> 
> So, I *must* set HALF-DUPLEX to 8139 side below:
> ethtool -s ethx speed 100 duplex half autoneg on 
> *x is number of 8139 assigned from udev.
> 
> So,Pls.apply this patch to upstream,and I test this too.

Your use of ethtool clearly demonstrates the lack of need for this patch.

	Jeff